# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Uninstalling older versions of the software
    for to_uninstall in installed_softwares(name=r"\bAlgobox"):
        if Version(to_uninstall["version"]) < Version(control.get_software_version()) or force:
            print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
            killalltasks(control.impacted_process.split(","))
            run(uninstall_cmd(to_uninstall["key"]))
            wait_uninstallkey_absent(to_uninstall["key"])
    bin_name = glob.glob("Algobox_*.msi")[0]
    install_msi_if_needed(bin_name)
